## ros-melodic-robot-mechanism-controllers 1.10.17

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(robot_mechanism_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS  roscpp angles filters tf tf_conversions  eigen_conversions pluginlib actionlib std_msgs geometry_msgs diagnostic_msgs trajectory_msgs pr2_controllers_msgs pr2_controller_interface pr2_controller_manager kdl_parser pr2_mechanism_model control_toolbox realtime_tools message_filters control_msgs message_generation)


add_message_files(
   DIRECTORY msg
   FILES
   JTCartesianControllerState.msg
)

find_package(Boost REQUIRED COMPONENTS signals)
include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
   CATKIN_DEPENDS  roscpp angles filters tf tf_conversions  eigen_conversions pluginlib actionlib std_msgs geometry_msgs diagnostic_msgs trajectory_msgs pr2_controllers_msgs pr2_controller_interface pr2_controller_manager kdl_parser pr2_mechanism_model control_toolbox realtime_tools message_filters control_msgs message_runtime
   INCLUDE_DIRS include
   LIBRARIES robot_mechanism_controllers
)

string(REPLACE "." ";" VERSION_LIST ${actionlib_VERSION})
list(GET VERSION_LIST 0 actionlib_VERSION_MAJOR)
list(GET VERSION_LIST 1 actionlib_VERSION_MINOR)
list(GET VERSION_LIST 2 actionlib_VERSION_PATCH)
add_definitions(-O3 -Dactionlib_VERSION=${actionlib_VERSION} -Dactionlib_VERSION_MAJOR=${actionlib_VERSION_MAJOR} -Dactionlib_VERSION_MINOR=${actionlib_VERSION_MINOR} -Dactionlib_VERSION_PATCH=${actionlib_VERSION_PATCH})

add_library(robot_mechanism_controllers
    src/cartesian_pose_controller.cpp
    src/cartesian_twist_controller.cpp
    src/cartesian_wrench_controller.cpp
    src/joint_effort_controller.cpp
    src/joint_position_controller.cpp
    src/joint_velocity_controller.cpp
    src/joint_spline_trajectory_controller.cpp
    src/joint_trajectory_action_controller.cpp
    src/jt_cartesian_controller.cpp
)
target_link_libraries(robot_mechanism_controllers ltdl ${Boost_LIBRARIES}
   ${catkin_LIBRARIES})
add_dependencies(robot_mechanism_controllers 
   ${robot_mechanism_controllers_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
pr2_enable_rpath(robot_mechanism_controllers)

install(TARGETS robot_mechanism_controllers
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES controller_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES scripts/effort.py posture.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-melodic-robot-mechanism-controllers (1.10.17-1stretch) stretch; urgency=high

  * Remove actionlib typedefs defined in actionlib 1.12.0 (#396 <https://github.com/PR2/pr2_controllers/issues/396>)
    * check actinlib_VERSION to removing re-typedef ResultPtr and FeedbackPtr https://github.com/ros/actionlib/issues/106
    * Remove actionlib typedefs defined upstreamSigned-off-by: Shane Loretz <sloretz@osrfoundation.org>
  * Contributors: Kei Okada, Shane Loretz

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-melodic-robot-mechanism-controllers (1.10.16-1stretch) stretch; urgency=high

  * Make sure to include the correct boost libraries.
    This follows the principle of "include what you use", and
    also should in theory fix the problems on the build farm.
    (#394 <https://github.com/PR2/pr2_controllers/issues/394>)
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 26 Jul 2019 00:00:00 -0000

ros-melodic-robot-mechanism-controllers (1.10.15-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-melodic-robot-mechanism-controllers (1.10.14-1stretch) stretch; urgency=high

  * Merge pull request #388 <https://github.com/PR2/pr2_controllers/issues/388> from k-okada/add_missing_dep
    add missing dependency
  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * robot_mechanism_controllers: add missing deps
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Furushchev, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-melodic-robot-mechanism-controllers (1.10.13-1stretch) stretch; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 00:00:00 -0000

ros-melodic-robot-mechanism-controllers (1.10.12-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-melodic-robot-mechanism-controllers (1.10.10-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-melodic-robot-mechanism-controllers (1.10.9-1stretch) stretch; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-robot-mechanism-controllers
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libltdl-dev, libtool, libtool-bin, ros-melodic-actionlib, ros-melodic-angles, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-diagnostic-msgs, ros-melodic-eigen-conversions, ros-melodic-filters, ros-melodic-geometry-msgs, ros-melodic-kdl-parser, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-controller-manager, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-mechanism-model, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-trajectory-msgs
Homepage: http://ros.org/wiki/robot_mechanism_controllers
Standards-Version: 3.9.2

Package: ros-melodic-robot-mechanism-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libltdl-dev, libtool, libtool-bin, ros-melodic-actionlib, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-diagnostic-msgs, ros-melodic-eigen-conversions, ros-melodic-filters, ros-melodic-geometry-msgs, ros-melodic-kdl-parser, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-pluginlib, ros-melodic-pr2-controller-interface, ros-melodic-pr2-controller-manager, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-mechanism-model, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-trajectory-msgs
Description: Generic Mechanism Controller Library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-robot-mechanism-controllers//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
